import React, { memo, useMemo } from 'react';
import { StoreContext, createGeschichte, } from '../../store.js';
const StaticGeschichteProvider = ({ search, children, }) => {
    const historyInstance = useMemo(() => {
        return {
            initialSearch: () => search || '?',
            push: async () => {
                return;
            },
            replace: async () => {
                return;
            },
        };
    }, [search]);
    const value = useMemo(() => createGeschichte(historyInstance), [historyInstance]);
    return React.createElement(StoreContext.Provider, { value: value }, children);
};
export default memo(StaticGeschichteProvider);
